Bug#923215: split into several binary packages

2019-02-24 Thread Ralf Treinen
Source: ssreflect Version: 1.7.0+dfsg-1 Severity: wishlist This is a big package, it should be split into several binary packages along the the line of the opam packaging of mathcomp.

Bug#871285: libxmmsclient++4v5: requires rebuild against GCC 7 and symbols/shlibs bump

2019-02-24 Thread Emanuele Rocca
On 07/08 03:47, jcowg...@debian.org wrote: > - If your package does not provide a symbols file, add a dh_makeshlibs > override so that tight enough dependencies are generated. > > Using libebml as an example (debian/rules): > + override_dh_makeshlibs: > + # For new symbols when compiled

Bug#923209: RFS: heaptrack/1.1.0+20180922.gitf752536-3.1 [NMU]

2019-02-24 Thread Chris Lamb
Hi Nicholas, > heaptrack (1.1.0+20180922.gitf752536-3.1) unstable; urgency=medium > > * Non-maintainer upload. > * Update description to make heaptrack more discoverable to users. > (Closes: #915241) > > -- Nicholas D Steeves Sun, 24 Feb 2019 19:44:03 -0700 Whilst I agree about the

Bug#859224: netkit-ftp-ssl: diff for NMU 0.17.34+0.2-4.1

2019-02-24 Thread Christoph Biedl
Sebastian Andrzej Siewior wrote... > > +Build-Depends: debhelper (>= 10~), libeditline-dev, libncurses5-dev, > > libssl1.0-dev | libssl-dev (<< 1.1.0~), cmake > > you need to drop libssl1.0-dev from here and simply depend on > libssl-dev. Thanks for checking and the heads-up, noted.

Bug#919975: [Pkg-mailman-hackers] Bug#919975: mailman3-web: whoosh python2 and python3 databases are not compatible

2019-02-24 Thread Sampo Sorsa
On Friday, February 22, 2019 9:35 PM, Jonas Meurer wrote: > I don't think it's worth the trouble anymore. The python3 django > packages have been in buster and stretch-backports for a while now, and > probably nobody will ever run into this again. > > Would you agree with closing this

Bug#762081: Update for 1.8.3-2+b1

2019-02-24 Thread GCS
Hi Markus, On Sun, Feb 24, 2019 at 7:09 PM markus wrote: > with rdesktop 1.8.3-2+b1 on Debian 9.8 this problem seems to be solved. Did you try the Stretch security update, the 1.8.4-1~deb9u1 version of rdesktop? If yes, was it slow? Regards, Laszlo/GCS

Bug#923214: g++-mingw-w64: Internal compiler error when include qfloat16.h, Qt5.12.

2019-02-24 Thread Kyuma Ohta
Package: g++-mingw-w64 Version: 8.2.0-21+21.1 Severity: important Dear Maintainer, When building software with Qt, internal compiler error happend useally. --- In file included from /usr/local/i586-mingw-msvc/5.12/mingw_82x/include/QtCore/qendian.h:44, from

Bug#923213: squid: Please disable the "Test apparmor" autopkgtest

2019-02-24 Thread intrigeri
Source: squid Severity: normal Version: 4.6-1 Hi, it seems that test_zz_apparmor only passed on Debian previously because it implicitly relied on a bug in apparmor_parser, which used to return 0 if called on a non-existent profile. This bug was fixed in apparmor 2.13.2-8, which broke squid's

Bug#922644: mariadb-server-10.3: Unable to reinstall

2019-02-24 Thread Janusz S. Bień
On Mon, Feb 18 2019 at 20:41 +01, Janusz S. Bień wrote: [...] > -- Configuration Files: > /etc/mysql/mariadb.conf.d/50-server.cnf changed: > [server] > [mysqld] > user = mysql > pid-file = /var/run/mysqld/mysqld.pid > socket= /var/run/mysqld/mysqld.sock > port

Bug#921327: grml2usb doesn't recognize a fat16 filesytem

2019-02-24 Thread Elimar Riesebieter
* Michael Prokop [2019-02-20 15:47 +0100]: > * Elimar Riesebieter [Mon Feb 04, 2019 at 10:32:49AM +0100]: > > > root@pippin>pts/0 ~ # mkfs.vfat -F 16 -v /dev/sdf2 > > mkfs.fat 4.1 (2017-01-24) > > /dev/sdf2 has 64 heads and 32 sectors per track, > > hidden sectors 0x3800800; > > logical sector

Bug#922815: insserv FATAL while updating as mountkernfs has to be enabled to use service udev

2019-02-24 Thread shirish शिरीष
Reply at bottom :- On 24/02/2019, Dmitry Bogatov wrote: > Interesting, you seems somehow got mountkernfs.sh script removed from > runlevel S. > > Can you please invoke as root > > # update-rc.d mountkernfs.sh enable S > > and then retry your upgrade. When I try the command you shared,

Bug#923212: g++-6: ifstream operator >> may throw when exceptions() == 0

2019-02-24 Thread John Jowett
Package: g++-6 Version: 6.3.0-18+deb9u1 Severity: normal Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? * What exactly did you do (or not do) that was effective (or ineffective)? * What was the

Bug#923211: libpomegranate-clojure: maven-repo version is wrong (1.1.0-SNAPSHOT)

2019-02-24 Thread Elana Hashman
Package: libpomegranate-clojure Version: 1.1.0-1 Severity: normal Control: block 900299 by -1 Apparently I got the wrong upstream commit when tagging the release because this is what's showing up in the maven repo for libpomegranate-clojure_1.1.0-1: ehashman@corn-syrup:~$ ls

Bug#900299: leiningen-clojure: depends on openjdk-8

2019-02-24 Thread Elana Hashman
On Sat, Feb 23, 2019 at 06:34:53PM -0500, Elana Hashman wrote: > So this weekend I am going to look into changing the build to more > closely match upstream, now that we've bootstrapped a working > Leiningen into the archive. This would involve building Leiningen with > a previous version of

Bug#923210: bash-completion: postinst and postrm generate find warnings

2019-02-24 Thread Daniel Lewart
Package: bash-completion Version: 1:2.8-5 Severity: minor Tags: patch Gabriel, et al, Both "apt install bash-completion" and "apt purge bash-completion" generate the following warning: find: '/etc/bash_completion.d/': No such file or directory The cause is that postinst and postrm

Bug#923209: RFS: heaptrack/1.1.0+20180922.gitf752536-3.1 [NMU]

2019-02-24 Thread Nicholas D Steeves
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for an NMU of "heaptrack", to fix its poor discoverability. It builds these binary packages: heaptrack - heap memory profiler for Linux heaptrack-gui - heap memory profiler for Linux libheaptrack -

Bug#770124: RFP: webext-tosdr -- toolbar icon to inform about your rights

2019-02-24 Thread Ben Finney
Control: retitle -1 Bug#770124: RFP: webext-tosdr -- toolbar icon to inform about your rights Now that Firefox in Debian is not compatible with XUL for its add-ons, the earlier request for a XUL extension is superseded by an add-on built with WebExtensions. The current upstream for this is now:

Bug#915241: heaptrack -- resolve poor discoverability

2019-02-24 Thread Nicholas D Steeves
On Sun, Feb 24, 2019 at 07:38:12PM -0700, Nicholas D Steeves wrote: > Control: retitle -1 heaptrack -- resolve poor discoverability > > On Sat, Dec 01, 2018 at 07:38:05PM -0500, Nicholas D Steeves wrote: > > Package: src:heaptrack > > Severity: normal > > > >

Bug#923208: libengine-pkcs11-openssl: libengines-pkcs11-openssl is installing to the wrong engine directory on x86

2019-02-24 Thread james.bottom...@hansenpartnership.com
Package: libengine-pkcs11-openssl Version: 0.4.9-3 Severity: grave Justification: renders package unusable The problem is this: bedivere:~# dpkg -L libengine-pkcs11-openssl |grep engines /usr/lib/i686-linux-gnu/engines-1.1 /usr/lib/i686-linux-gnu/engines-1.1/pkcs11.la

Bug#915241: heaptrack -- resolve poor discoverability

2019-02-24 Thread Nicholas D Steeves
Control: retitle -1 heaptrack -- resolve poor discoverability On Sat, Dec 01, 2018 at 07:38:05PM -0500, Nicholas D Steeves wrote: > Package: src:heaptrack > Severity: normal > > https://salsa.debian.org/science-team/heaptrack/merge_requests/1 > > This MR merges Anton's work from experimental

Bug#920459: tabu: breaks with color and/or xcolor when spread or negative X coefficients are used

2019-02-24 Thread Norbert Preining
Hi, On Mon, 25 Feb 2019, Thorsten Glaser wrote: > > https://github.com/debian-tex/texlive-nonbin > > OK, will do so. I’ll give people a bit to review, I already updated the git repo with your change, thanks. > And if you have something else related to TeX you > need uploaded quickly, ping

Bug#923207: lxsession has false dependency on systemd

2019-02-24 Thread Joshua
Package: lxsession Version: 0.5.3-2 Severity: serious Tags: newcomer Justification: Policy 7.2 lxsession declares a false dependency on systemd. "Depends: This declares an absolute dependency The Depends field should be used if the depended-on package is required for the depending package

Bug#920459: tabu: breaks with color and/or xcolor when spread or negative X coefficients are used

2019-02-24 Thread Thorsten Glaser
Hi Norbert, >Go ahead immediately, you have every approval. >BTW, changes can be sent to the new development place > https://github.com/debian-tex/texlive-nonbin OK, will do so. I’ll give people a bit to review, although someone on TeX.SE said tabu is broken enough there’s no way I can

Bug#923206: RM: memleax -- RoM; NPOASR; abandoned upstream; a better option exists

2019-02-24 Thread Nicholas D Steeves
Package: memleax Severity: serious Justification: NPOASR; abandoned upstream; a better alternative exists Removal bug for unstable has been filed against ftp.debian.org (#923205), and I am filing this one so the package will be dropped from testing asap.

Bug#923205: RM: memleax -- ROM; NPOASR; abandoned upstream; a better option exists

2019-02-24 Thread Nicholas D Steeves
Package: ftp.debian.org Severity: normal Upstream project description is now "debugs memory leak of running process. Not maintained anymore, try `libleak` please." https://github.com/WuBingzheng/memleax Heaptrack is a substantially more versatile alternative, and I only packaged memleax

Bug#908216: btrfs blocked for more than 120 seconds

2019-02-24 Thread Nicholas D Steeves
Control: tags -1 + unreproducible moreinfo Hi Russell, On Sun, Feb 24, 2019 at 06:34:59PM -0600, Russell Mosemann wrote: > > >Package: src:linux >Version: 4.19.16-1~bpo9+1 >Severity: important > > > > > >If the btrfs fixes will not be backported to 4.19, then

Bug#923204: gpg-agent has a false dependency on libpam-systemd

2019-02-24 Thread Joshua
Package: gpg-agent Version: 2.2.12-1 Severity: serious Tags: newcomer Justification: Policy 7.2 gpg-agent has a false dependency on libpam-systemd; while systemd sessions can and do start gpg-agent this is no depenency of gpg-agent. gpg-agent is designed to be started by any session manager with

Bug#923203: pulseaudio: fails to start without manual configuration

2019-02-24 Thread Adam Borowski
Package: pulseaudio Version: 12.2-4 Severity: normal Hi! I'm afraid that pulseaudio doesn't work unless the user knows about autospawn -- which is not pointed at in any obvious place (no, no one reads several tens of pages of NEWS.Debian snippets on upgrades). There's an easy fix, though: make

Bug#923199: it's already Recommends, but please support elogind

2019-02-24 Thread Adam Borowski
Control: tags -1 +patch > openssh-server has a hard dependency on libpam-systemd. Violates > "Depends: This declares an absolute dependcy... > Fix: change Depends: libpam-systemd to Recommends: libpam-systemd It already _is_ "Recommends". I guess the submitter got confused by apt's handling

Bug#908216: btrfs blocked for more than 120 seconds

2019-02-24 Thread Russell Mosemann
Package: src:linux Version: 4.19.16-1~bpo9+1 Severity: important If the btrfs fixes will not be backported to 4.19, then this is not an appropriate base kernel for the next version of Debian. Feb 24 19:09:21 vhost182 kernel: INFO: task btrfs-transacti:604 blocked for more than 120

Bug#923201: it's already Recommends, but please support elogind

2019-02-24 Thread Adam Borowski
Control: tags -1 +patch > pulseaudio has a hard dependency on libpam-systemd. Violates "Depends: > This declares an absolute dependcy... > Fix: change Depends: libpam-systemd to Recommends: libpam-systemd It already _is_ "Recommends". I guess the submitter got confused by apt's handling which

Bug#923202: stretch-pu: package ruby2.3/2.3.3-1+deb9u5

2019-02-24 Thread Antonio Terceiro
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu Hi this update fixes 2 FTBFS bugs on stretch. All of the changes are in the test suite, so there are no functional changes. debian/changelog | 11 +++

Bug#922863: tomcat8: post-installation script subprocess failed during upgrade

2019-02-24 Thread Vincent Lefevre
On 2019-02-24 19:36:16 +0100, Dominik George wrote: > Can you please provide more details from your system that show why this > might fail? You can edit /var/lib/dpkg/info/tomcat8.postinst and add a > set -x near the set -e at the top, then dpkg-reconfigure tomcat8, for > example.

Bug#923137: chrony: system call filter (now enabled by default) conflicts not only with mailonchange, but also with log

2019-02-24 Thread Vincent Blut
On Sun, Feb 24, 2019 at 08:19:02PM +0100, Francesco Poli wrote: On Sun, 24 Feb 2019 17:52:46 +0100 Vincent Blut wrote: Please use `ps ax | grep chrony' (or ps -ef). `ps a' only lists processes with a tty. You are right, sorry: I wanted to simplify the command output, but I overplayed...

Bug#923198: would it work with elogind?

2019-02-24 Thread Adam Borowski
Control: tags -1 +patch [Can't test it right now, perhaps in the evening todorrow. Noticed this bug filed on #-changes] > xserver-xorg-core has a hard dependency on libpam-systemd. Violates > "Depends: This declares an absolute dependcy... No, it has only Recommends. On the other hand, apt

Bug#923201: pulseaudio has a false dependency on libpam-systemd

2019-02-24 Thread Joshua
Package: pulseaudio Version: 12.2-3 Severity: serious Tags: newcomer Justification: Policy 7.2 pulseaudio has a hard dependency on libpam-systemd. Violates "Depends: This declares an absolute dependcy... The Depends field should be used if the depended-on package is required for the depending

Bug#923200: libpolkit-qt5-1-1

2019-02-24 Thread Joshua
Package: libpolkit-qt5-1-1 Version: 0.112.0-5 Severity: serious Tags: newcomer Justification: Policy 7.2 libpolkit-qt5-1-1 has a hard dependency on libpam-systemd. Violates "Depends: This declares an absolute dependcy... The Depends field should be used if the depended-on package is required for

Bug#908216: btrfs blocked for more than 120 seconds

2019-02-24 Thread Russell Mosemann
Package: src:linux Version: 4.19.16-1~bpo9+1 Severity: important Feb 24 17:19:32 vhost002 kernel: INFO: task btrfs-transacti:643 blocked for more than 120 seconds. Feb 24 17:19:32 vhost002 kernel: Not tainted 4.19.0-0.bpo.2-amd64 #1 Debian 4.19.16-1~bpo9+1 Feb 24 17:19:32 vhost002

Bug#920459: tabu: breaks with color and/or xcolor when spread or negative X coefficients are used

2019-02-24 Thread Norbert Preining
Hi Thorsten, thanks a lot. > this within five days or so. If you can give me a go I can do a > maintainer-approved undelayed NMU. If I don’t hear anything back, Go ahead immediately, you have every approval. BTW, changes can be sent to the new development place

Bug#923199: openssh-server has a false dependency on libpam-systemd

2019-02-24 Thread Joshua
Package: openssh-server Version: 1:7.9p1-6 Severity: serious Tags: newcomer Justification: Policy 7.2 openssh-server has a hard dependency on libpam-systemd. Violates "Depends: This declares an absolute dependcy... The Depends field should be used if the depended-on package is required for the

Bug#923198: xserver-xorg-core: false direct dependency on libpam-systemd

2019-02-24 Thread Joshua
Package: xserver-xorg-core Version: 2:1.20.3-1 Severity: serious Tags: newcomer Justification: Policy 7.2 Dear Maintainer, xserver-xorg-core has a hard dependency on libpam-systemd. Violates "Depends: This declares an absolute dependcy... The Depends field should be used if the depended-on

Bug#922996: Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-02-24 Thread tony mancill
On Sun, Feb 24, 2019 at 07:45:00PM +, Adam D. Barratt wrote: > Control: forcemerge 922996 923176 > Control: tags 922996 + confirmed > > On Sun, 2019-02-24 at 11:03 -0800, tony mancill wrote: > > This update closes #922720 [1], which addresses a bashism that > > prevents the package upgrade

Bug#923197: protobuf: Enable and fix for !linux

2019-02-24 Thread James Clarke
Source: protobuf Version: 3.6.1-3 X-Debbugs-Cc: debian-...@lists.debian.org, debian-h...@lists.debian.org Hi, For some reason, the "solution" for #837310 was to restrict protobuf to build only on Linux architectures. That doesn't solve anything other than remove the red on the buildd.d.o pages.

Bug#923041: Scala interpreter cannot interpret files

2019-02-24 Thread Emmanuel Bourg
Control: forwarded -1 https://github.com/scala/bug/issues/10603 Thank you for reporting this issue Fabian. It seems to be a known upstream bug. The current workaround is to run 'scala -nc test.scala'. Emmanuel Bourg

Bug#704089: tzdata config script prevents non-interactive (re)configuration

2019-02-24 Thread Aurelien Jarno
On 2019-01-17 11:14, Adam Bolte wrote: > On Wed, Jan 16, 2019 at 11:43:57AM +0100, Aurelien Jarno wrote: > > I don't think the patch is correct. Debconf is not a registry, the > > canonical location for the configuration is the configuration files, not > > the debconf database. Quoting

Bug#923195: RM: multiple [kfreebsd-amd64 kfreebsd-i386 hurd-i386] -- RoQA; Unbuildable, out of date, no rdepends

2019-02-24 Thread Sebastian Andrzej Siewior
Package: ftp.debian.org Severity: normal As part of the of the openssl1.0 removal, I'm asking for the removal of the following packages: dak rm -p -R -n -B bitcoin -a kfreebsd-amd64,kfreebsd-i386 |Will remove the following packages from unstable: | |bitcoin-tx | 0.12.1-0.1 | kfreebsd-amd64,

Bug#923196: RM: pexif -- ROM; no longer used anywhere in Debian

2019-02-24 Thread Marcelo Jorge Vieira
Package: ftp.debian.org Severity: normal Hi, As subject says, please drop pexif from unstable, as it is no longer used anywhere in Debian. Cheers, -- Marcelo Jorge Vieira xmpp:me...@jabber-br.org http://metaldot.alucinados.com signature.asc Description: This is a digitally signed message

Bug#923194: RM: multiple [kfreebsd-amd64 kfreebsd-i386 hurd-i386] -- RoQA; Unbuildable, out of date, rdepends

2019-02-24 Thread Sebastian Andrzej Siewior
Package: ftp.debian.org Severity: normal As part of the of the openssl1.0 removal, I'm asking for the removal of the following packages. A newer version of those packages was built on other architectures but not on kfreebsd-* and or hurd-i386. Some of those broken dependencies are arch ALL (like

Bug#923193: RM: pyvows -- ROM; no longer used anywhere in Debian

2019-02-24 Thread Marcelo Jorge Vieira
Package: ftp.debian.org Severity: normal Hi, As subject says, please drop pyvows from unstable, as it is no longer used anywhere in Debian. Cheers, -- Marcelo Jorge Vieira xmpp:me...@jabber-br.org http://metaldot.alucinados.com signature.asc Description: This is a digitally signed message

Bug#923192: RM: tornado-pyvows -- ROM; no longer used anywhere in Debian

2019-02-24 Thread Marcelo Jorge Vieira
Package: ftp.debian.org Severity: normal Hi, As subject says, please drop tornado-pyvows from unstable, as it is no longer used anywhere in Debian. Cheers, -- Marcelo Jorge Vieira xmpp:me...@jabber-br.org http://metaldot.alucinados.com signature.asc Description: This is a digitally signed

Bug#923191: munin-plugins-c: open_files can't cope with very large max files

2019-02-24 Thread Marc Donges
Package: munin-plugins-c Version: 0.0.11-1 Severity: normal Dear Maintainer, the open_files plugin seems not to be able to cope with very large values for max files. On two of my machines it returns 0 as warning and critical thresholds for the number of open files. I believe this is because it

Bug#923152: vim-addon-manager: Please don't rely on Etc.getlogin()

2019-02-24 Thread James McCoy
On Sun, Feb 24, 2019 at 03:41:48PM +0100, David Rabel wrote: > in Line 202 (parse_cmdline) you call Etc.getlogin and Etc.getpwnam, but this > fails under certain circumstances. For example when called by a daemon. > We (vim-lastplace) use vim-addon-manager in our maintainer scripts, so this > can

Bug#923190: ghdl: Allow building against LLVM 8

2019-02-24 Thread Logan Rosen
Package: ghdl Version: 0.35+git20181129+dfsg-3 Severity: normal Tags: patch User: ubuntu-de...@lists.ubuntu.com Usertags: origin-ubuntu disco ubuntu-patch Dear Maintainer, Please allow building against LLVM 8 in the configure file. We've done this in Ubuntu, and it builds successfully. We needed

Bug#922153: ncurses-base: for screen and variants, please change smacs and rmacs to \E(0 and \E(B respectively

2019-02-24 Thread Vincent Lefevre
On 2019-02-23 21:17:38 -0500, Thomas Dickey wrote: > On Sun, Feb 24, 2019 at 01:56:06AM +0100, Vincent Lefevre wrote: > > No, "tput enacs" returns an error in Linux consoles, and has no effect > > there. For instance, in xterm: > > not so (see screenshot). This is not what I obtain: zira:~> env

Bug#922804: makehuman: FTBFS (Could not import extension sphinx.ext.pngmath)

2019-02-24 Thread Muammar El Khatib
Hi, On Sun, Feb 24, 2019 at 2:45 PM Andreas Tille wrote: > > Hi, > > I plan to fix this in a NMU once I've importet the packaging to Salsa. > > Kind regards > > Andreas. > > -- > http://fam-tille.de I really appreciate this. I don't have much time recently to work on it. But I don't

Bug#898768: gnome-twitch: Segfault everytime you try to watch a stream

2019-02-24 Thread Jaycee Santos
Package: gnome-twitch Version: 0.3.1-1 Followup-For: Bug #898768 Dear Maintainer, This bug is still present in Debian stretch (as of version 9.8). Because of this, gnome-twitch is _still_ unusable in stable. Is it possible to bring the patch to stable? Thank you for your time! Jaycee --

Bug#923102: RFS: xsoldier/1:1.8-6 [ITA] -- shoot 'em up game with the "not shooting" bonus

2019-02-24 Thread Adam Borowski
On Sun, Feb 24, 2019 at 08:37:53AM +0100, Sebastien CHAVAUX wrote: > I would like to adopt the xsoldier package, considering that it does not > change much or little and requires little in consequence. > I am looking for a sponsor for my package "xsoldier" > * Package name: xsoldier >

Bug#922804: makehuman: FTBFS (Could not import extension sphinx.ext.pngmath)

2019-02-24 Thread Andreas Tille
Hi, I plan to fix this in a NMU once I've importet the packaging to Salsa. Kind regards Andreas. -- http://fam-tille.de

Bug#919646: Decrease severity of bug, commit prokect to Salsa

2019-02-24 Thread Andreas Tille
Control: tags -1 moreinfo Control: severity -1 normal As far as I can read in the bug log the issue can not be reproduced any more. Thus for the moment I'll decrease the severity of the bug to avoid that the package will be removed from testing for no good reason. In the bug log it was also

Bug#896080: [pkg-apparmor] Improve samba/AppArmor integration

2019-02-24 Thread Christian Boltz
Hello, I agree that local/ isn't the perfect place. That said... Am Sonntag, 24. Februar 2019, 20:42:55 CET schrieb Mathieu Parent: > Le dimanche 24 février 2019, intrigeri a écrit: > > intrigeri: > >> So I'll add this: > >>#include if exists /etc/apparmor.d/samba/smbd-shares > > > > I

Bug#923189: clearsilver-dev: Typo in package description

2019-02-24 Thread Thomas Vincent
Package: clearsilver-dev Severity: minor Dear Maintainer, I noticed a typo in the long description of clearsilver-dev. Indeed, in the last paragraph, "deverlopers" should be spelled "developers". Thanks a lot for your work on clearsilver! Cheers, Thomas -- System Information: Debian Release:

Bug#410419: confile prompts should use debconf

2019-02-24 Thread Guillem Jover
Control: retitle -1 dpkg: conffile prompts should use debconf Hi! I was asked by Julian Andres Klode on IRC about the status of this, so let's update the bug too. On Sat, 2007-02-10 at 15:16:30 -, peter green wrote: > in situations where a user cannot interact directly with dpkg >

Bug#923188: xdm: file /etc/X11/xdm/Xsession has many newlines before #!

2019-02-24 Thread Joshua
Package: xdm Version: 1:1.1.11-3 Severity: important Dear Maintainer, * What led up to the situation? Trying to use xdm for the first time in a decade after sddm destroyed itself * What exactly did you do (or not do) that was effective (or ineffective)? Xdm logged me in to some

Bug#922479: nvidia-legacy-340xx-kernel-dkms unknown symbols, kernel 4.20.x

2019-02-24 Thread S R Wright
This really needs to be fixed, at this point legacy NVIDIA graphics cards (such as my NVIDIA Corporation GT216M [NVS 5100M]) cannot use the legacy driver going past kernel 4.19. The workaround of course is just to just use nouveau,  which at least *is* operational in 4.20.x but which also

Bug#910069: linux-image-4.18.0-1-amd64: NVME quirk needed for Intel 760p + Thinkpad T480

2019-02-24 Thread Chris Chiappa
Doh, I had checked for firmware when I first ran into the problem and never checked again. Indeed, having upgraded the firmware, the command line workaround no longer seems necessary, feel free to close the bug. Thanks! On Sun, Feb 10, 2019 at 04:36:09PM +, Ben Hutchings wrote: > Control:

Bug#921757: Can reproduce

2019-02-24 Thread Hilko Bengen
Santiago, thanks for the follow-up. Your logfile with a more context looks a bit different that what I got and gives a hint. The "Use of uninitialized value" warnings suggest a race condition in runcmd. Calling waitpid in a signal handler certainly has a smell to it. I'll investigate further as

Bug#897674: p7zip-rar: CVE-2018-10115

2019-02-24 Thread Raphael Kubo da Costa
I was recently looking at this CVE and CVE 2018 10115.patch. According to upstream 7-zip [1], this bug was fixed in version 18.05. In the upstream release announcement, someone asked about variables like _errorMode that were introduced earlier to deal with CVE-2018-5996 [2] and how they had

Bug#923187: ITP: golang-github-golang-freetype -- The Freetype font rasterizer in the Go programming language.

2019-02-24 Thread Felix Yan
Package: wnpp Severity: wishlist Owner: Felix Yan * Package name: golang-github-golang-freetype Version : release+git20170609.e2365df-1 Upstream Author : The Freetype-Go Authors * URL : https://github.com/golang/freetype * License : GPL-2+ or FTL Programming

Bug#923186: anarchism: Typo in section F4

2019-02-24 Thread David Calman
Package: anarchism Version: 15.1-9 Severity: important Dear Maintainer, > What led up to the situation? I navigated to file:///usr/share/doc/anarchism/html/secF4.html > What exactly did you do (or not do) that was effective (or ineffective)? I attempted to read the document. > What was the

Bug#919115: linux-image-4.19.0-0.bpo.1-amd64-unsigned: Graphical glitches (lightdm and cinnamon) after upgrading linux (RadeonRX540)

2019-02-24 Thread N G
Just upgraded to firmware-amd-graphics-20190114/stretch-backports and nothing changed, therefore lightdm might be working with testing branch because of lightdm's version or something unrelated to linux itself (maybe mesa?), still, it used to work correctly with stretch until linux 4.18.20 (at

Bug#922402: Bug #922402 in lintian marked as pending

2019-02-24 Thread Chris Lamb
Hi Roberto, > It looks like perhaps libraries files shipped in libgcc1 also need to be > added to the whitelist. Thanks. Added in: https://salsa.debian.org/lintian/lintian/commit/f9c245df6d9285a6c220cf87c6e76437f7089e33 I needed to add "gcc" manually in:

Bug#922402: Bug #922402 in lintian marked as pending

2019-02-24 Thread Chris Lamb
Hi Roberto, > It looks like perhaps libraries files shipped in libgcc1 also need to be > added to the whitelist. Thanks. Added in: https://salsa.debian.org/lintian/lintian/commit/f9c245df6d9285a6c220cf87c6e76437f7089e33 I needed to add "gcc" manually in: > > Regards, > > -Roberto > >

Bug#923051: Acknowledgement (screen doesn't clear the screen for certain UTF8 characters)

2019-02-24 Thread Bruce Momjian,,,
I have seen the problem again, this time using the VXConnectbot SSH client on Android, so I think this eliminates the ssh client as the cause. Again, it happens when using 'screen' and mutt's built-in pager, and again when having a UTF8 emoji in the email content. I do not get the failure if I

Bug#923164: leiningen-clojure: FTBFS (Could not resolve dependencies for project leiningen-core:leiningen-core:jar:2.8.1)

2019-02-24 Thread Elana Hashman
On Sun, Feb 24, 2019 at 04:31:08PM +, Santiago Vila wrote: > > I tried to build this package in buster but it failed: > > > [INFO] Scanning for projects... > [INFO] > [INFO] ---<

Bug#923185: FTBS: javadoc: error - The code being documented uses packages in the unnamed module

2019-02-24 Thread Sjoerd Simons
Source: isorelax Version: 2004-11 Severity: serious Hey, Rebuilding isorelax fails to build with: javadoc: error - The code being documented uses packages in the unnamed module, but the packages defined in /usr/share/doc/default-jdk-doc/api/ are in named modules. The reproducible build

Bug#923181: Please add support for reporting mouse button presses to console programs which support mouse tracking

2019-02-24 Thread Bill Allombert
On Sun, Feb 24, 2019 at 07:35:20PM +, Daniel Abrecht wrote: > Package: consolation > Version: 0.0.6-2 > Severity: wishlist > Tags: patch > > Some programs support mouse tracking to allow users to click on things > inside the terminal. For example, it is possible to click on options in >

Bug#923184: [pre-approval] unblock: qgis/3.4.5+dfsg-1

2019-02-24 Thread Bas Couwenberg
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: unblock Because the 2.18 LTR is EOL with the release of QGIS 3.4.5 having the latter in buster is probably better than leaving the qgis package at the last 2.18.x release (2.18.28). QGIS 3.4 is

Bug#922973: iptables-save -- Table `raw' does not exist

2019-02-24 Thread Arturo Borrero Gonzalez
On Fri, 22 Feb 2019 at 15:15, Bastian Blank wrote: > > Package: iptables > Version: 1.8.2-3 > Severity: important > > iptables-save fails with an error to stdout if a given built-in table > does not exist. > > | % sudo iptables-save -t filter; echo $? > | Table `filter' does not exist > | 1 > >

Bug#923183: ITP: golang-github-ruudk-golang-pdf417 -- Port of pdf417-php by ihabunek in Golang

2019-02-24 Thread Felix Yan
Package: wnpp Severity: wishlist Owner: Felix Yan * Package name: golang-github-ruudk-golang-pdf417 Version : 0.0~git20181029.1af4ab5-1 Upstream Author : Ruud Kamphuis * URL : https://github.com/ruudk/golang-pdf417 * License : Expat Programming Lang: Go

Bug#923182: FTBS: javadoc: error - The code being documented uses packages in the unnamed module, but the packages defined in file:///usr/share/doc/default-jdk/api/ are in named modules.

2019-02-24 Thread Sjoerd Simons
Source: icu4j Version: 62.1-1 Severity: serious Hey, Rebuilding icu4j sees to FTBS with: javadoc: error - The code being documented uses packages in the unnamed module, but the packages defined in file:///usr/share/doc/default-jdk/api/ are in named modules. The reproducible builds log is

Bug#923091: base-installer: Allow installing w/o the broken merged-usr-via-symlinks

2019-02-24 Thread Holger Wansing
Hi, Cyril Brulebois wrote: > > If that were to be implemented: the question must not be asked in a > normal installation, I think it shouldn't be translatable (at least at > first) so that it doesn't put more burden on l10n people (coordinator > and translators) for an expert-only option.

Bug#919442: If you want to keep python-dmidecode in Buster you should at least send a mail to the bug report

2019-02-24 Thread Andreas Tille
Hi Sandro, I hope this mail gives you sufficient time to sort this bug out. Hope this helps Andreas. -- http://fam-tille.de

Bug#922555: [Android-tools-devel] Bug#922555: android-sdk: should allow openjdk-8-jdk-headless

2019-02-24 Thread seamlik
> This means that even if I wish to use openjdk 8, openjdk 11 is pulled in > and made default instead. It depends on "default-jdk-headless (>= 2:1.8)", which means JDK8 satisfies as well. If your system has it installed already, installing "andriod-sdk" will not install JDK11. In fact I

Bug#896080: Improve samba/AppArmor integration

2019-02-24 Thread intrigeri
Mathieu Parent: > Thanks intrigeri for providing a solution! Uploaded in apparmor 2.13.2-8, by the way. It would be great if you could test if it works for you. > I'm OK with this path and understand your rationale. However, I try to > avoid distribution divergence. Sure. Happy we're talking

Bug#923181: Please add support for reporting mouse button presses to console programs which support mouse tracking

2019-02-24 Thread Daniel Abrecht
Package: consolation Version: 0.0.6-2 Severity: wishlist Tags: patch Some programs support mouse tracking to allow users to click on things inside the terminal. For example, it is possible to click on options in `dialog`. gpm did support this, but had issues with touch screens. It would be great

Bug#922996: Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-02-24 Thread Adam D. Barratt
Control: forcemerge 922996 923176 Control: tags 922996 + confirmed On Sun, 2019-02-24 at 11:03 -0800, tony mancill wrote: > This update closes #922720 [1], which addresses a bashism that > prevents the package upgrade from completing successfully.   There's already a request filed as #922996. I

Bug#896080: Improve samba/AppArmor integration

2019-02-24 Thread Mathieu Parent
Thanks intrigeri for providing a solution! Le dimanche 24 février 2019, intrigeri a écrit : > intrigeri: >> So I'll add this: > >>#include if exists /etc/apparmor.d/samba/smbd-shares > > I mean: > >#include if exists I'm OK with this path and understand your rationale. However, I try

Bug#893244: jruby FTBFS with openjdk-9

2019-02-24 Thread Markus Koschany
JRuby is a mess. I guess we "just" need to package the latest upstream release to fix the FTBFS bugs. Nobody felt like doing that in the past twelve months, so I think it is unrealistic to believe we can make it happen within one week. Of course if the release team can be convinced to accept a new

Bug#923178: transcend FTCBFS: builds for the build architecture

2019-02-24 Thread Helmut Grohne
Source: transcend Version: 0.3.dfsg2-3 Tags: patch User: helm...@debian.org Usertags: rebootstrap transcend fails to cross build from source, because it builds for the build architecture. dh_auto_build passes cross tools for the makefile buildsystem, but not for the autoconf buildsystem as it

Bug#923179: systemd breaks python-dbusmock autopkgtest

2019-02-24 Thread Paul Gevers
Source: systemd, python-dbusmock Control: found -1 systemd/241-1 Control: found -1 python-dbusmock/0.18.1-2 Severity: important X-Debbugs-CC: debian...@lists.debian.org User: debian...@lists.debian.org Usertags: breaks needs-update Dear maintainers, With a recent upload of systemd the

Bug#914632: RFC: proposed fix for CVE-2018-19518 in uw-imap

2019-02-24 Thread Magnus Holmgren
söndag 30 december 2018 kl. 09:38:57 CET skrev Salvatore Bonaccorso: > There is an alternative approach wich was raised by Magnus in the > respective bug: https://bugs.debian.org/914632#12 (and see followup > from Moritz). So, is it OK to upload this (assuming there's no code out there that

Bug#887140: libjogl2-java FTBFS on architectures that use zero (timeout)

2019-02-24 Thread Markus Koschany
libjogl2-java still FTBFS on armel, mips64el and mipsel. I don't know why the build process requires so much time on these platforms excluding mips64el which never built before. On mips the build succeeded after six hours. I don't believe that mips and arm architectures are really supported by

Bug#923137: chrony: system call filter (now enabled by default) conflicts not only with mailonchange, but also with log

2019-02-24 Thread Francesco Poli
On Sun, 24 Feb 2019 17:52:46 +0100 Vincent Blut wrote: > On Sun, Feb 24, 2019 at 05:05:58PM +0100, Francesco Poli wrote: > >On Sun, 24 Feb 2019 16:25:19 +0100 Vincent Blut wrote: > > > >[...] > >> On Sun, Feb 24, 2019 at 12:59:21PM +0100, Francesco Poli (wintermute) > >> wrote: > >[...] > >>

Bug#923177: Firmware load failure - clean up

2019-02-24 Thread Brian Holaday
Package: firmware-atheros Version: 20190114-1~bpo9+2 Severity: important Firmware: Qualcomm Atheros QCA9377 802.11ac Issue: Installing the wireless driver works just fine : bluetooth seems to need a restart each time I connect my headphones each time. The main issue I am seeing is that I show

Bug#923072: RM: why/2.40-3+b1 from testing

2019-02-24 Thread Paul Gevers
Control: reassign -1 release.debian.org Control: tags -1 pending On 24-02-2019 19:56, Ralf Treinen wrote: > Hi Paul, > > On Sun, Feb 24, 2019 at 07:41:37PM +0100, Paul Gevers wrote: >> Control: reassign -1 ftp.debian.org >> Control: retitle -1 RM: why -- ROM; Dependency why3 too new in unstable

Bug#923175: rust-getopts: Please upload 0.2.18

2019-02-24 Thread Reiner Herrmann
Source: rust-getopts Version: 0.2.17-1 Severity: wishlist Dear maintainer, I noticed that rust-getopts 0.2.18-1 is already available in git [0] for several months, but has not been uploaded yet. This version [1] has a new feature (Matches::opt_get(_default)) that would be nice to have. Can you

Bug#923072: RM: why/2.40-3+b1 from testing

2019-02-24 Thread Ralf Treinen
Hi Paul, On Sun, Feb 24, 2019 at 07:41:37PM +0100, Paul Gevers wrote: > Control: reassign -1 ftp.debian.org > Control: retitle -1 RM: why -- ROM; Dependency why3 too new in unstable > > Hi Ralf > > Removals are normally requested from unstable. Once removed there, they > automatically are

Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-02-24 Thread tony mancill
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu This update closes #922720 [1], which addresses a bashism that prevents the package upgrade from completing successfully. The debdiff for the proposed update is attached. Thank

Bug#920459: tabu: breaks with color and/or xcolor when spread or negative X coefficients are used

2019-02-24 Thread Thorsten Glaser
retitle 920459 tabu: breaks with color and/or xcolor when spread or negative X coefficients are used found 920459 2018.20190131-1 forwarded 920459 https://github.com/tabu-fixed/tabu/pull/14 tags 920459 + patch thanks Hi Norbert, please find attached a patch that fixes tabu when either color or

Bug#915559: Heads up on the inactivity.

2019-02-24 Thread Per Sandberg
Dear maintainer This bug is probably very the root-cause to the following bug chain: ThisBug#915559: coreutils: Use renameat2 from glibc instead of syscall Leading to: Bug#921924: fakechroot: mv(1) cannot be used inside fakechroot     Leading to: Bug#922572: debootstrap variant fakeroot fails

  1   2   3   >